Bug 922534 - [abrt] backintime-kde-1.0.8-4.fc18: kde4systrayicon.py:106:show_popup:NameError: global name 'KPassivePopup' is not defined
Summary: [abrt] backintime-kde-1.0.8-4.fc18: kde4systrayicon.py:106:show_popup:NameErr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: backintime
Version: 18
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:41efb800122e17866dbc7200f85...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-17 18:03 UTC by BearMK
Modified: 2013-09-23 00:23 UTC (History)
2 users (show)

Fixed In Version: backintime-1.0.26-2.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-09-22 04:25:17 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (576 bytes, text/plain)
2013-03-17 18:03 UTC, BearMK
no flags Details
File: core_backtrace (211 bytes, text/plain)
2013-03-17 18:03 UTC, BearMK
no flags Details
File: environ (1.58 KB, text/plain)
2013-03-17 18:03 UTC, BearMK
no flags Details
File: smolt_data (3.02 KB, application/octet-stream)
2013-03-17 18:03 UTC, BearMK
no flags Details

Description BearMK 2013-03-17 18:03:31 UTC
Version-Release number of selected component:
backintime-kde-1.0.8-4.fc18

Additional info:
cmdline:        /usr/bin/python /usr/share/backintime/kde4/kde4systrayicon.py 1
executable:     /usr/share/backintime/kde4/kde4systrayicon.py
kernel:         3.8.3-201.fc18.i686.PAE
uid:            1001

Truncated backtrace:
kde4systrayicon.py:106:show_popup:NameError: global name 'KPassivePopup' is not defined

Traceback (most recent call last):
  File "/usr/share/backintime/kde4/kde4systrayicon.py", line 128, in update_info
    self.show_popup()
  File "/usr/share/backintime/kde4/kde4systrayicon.py", line 106, in show_popup
    self.popup = KPassivePopup.message( self.config.APP_NAME, QString.fromUtf8( self.last_message[1] ), self.status_icon )
NameError: global name 'KPassivePopup' is not defined

Local variables in innermost frame:
self: <__main__.KDE4SysTrayIcon instance at 0x9d432ac>

Potential duplicate: bug 730994

Comment 1 BearMK 2013-03-17 18:03:34 UTC
Created attachment 711507 [details]
File: backtrace

Comment 2 BearMK 2013-03-17 18:03:38 UTC
Created attachment 711508 [details]
File: core_backtrace

Comment 3 BearMK 2013-03-17 18:03:40 UTC
Created attachment 711509 [details]
File: environ

Comment 4 BearMK 2013-03-17 18:03:43 UTC
Created attachment 711510 [details]
File: smolt_data

Comment 5 Fedora Update System 2013-09-11 09:29:31 UTC
backintime-1.0.26-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/backintime-1.0.26-1.fc20

Comment 6 Fedora Update System 2013-09-11 09:42:12 UTC
backintime-1.0.26-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/backintime-1.0.26-1.fc19

Comment 7 Fedora Update System 2013-09-11 16:55:45 UTC
Package backintime-1.0.26-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing backintime-1.0.26-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-16399/backintime-1.0.26-1.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-09-12 10:39:36 UTC
backintime-1.0.26-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/backintime-1.0.26-2.fc19

Comment 9 Fedora Update System 2013-09-12 10:40:52 UTC
backintime-1.0.26-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/backintime-1.0.26-2.fc20

Comment 10 Fedora Update System 2013-09-22 04:25:17 UTC
backintime-1.0.26-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-09-23 00:23:57 UTC
backintime-1.0.26-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.